Solución a error libgcc_s.so.1 must be installed for pthread_cancel to work con vsftpd

El día de ayer actualicé uno de nuestros servidores donde tenemos vsftpd como FTP con usuarios virtuales, el problema es que comenzó a aparecer un error: libgcc_s.so.1 must be installed for pthread_cancel to work

curl -v ftp://example.org --user user:pass
* Rebuilt URL to: ftp://example.org/
* Hostname was NOT found in DNS cache
*   Trying 127.0.0.1...
* Connected to example.org (127.0.0.1) port 21 (#0)
< 220 (vsFTPd 3.0.2) > USER user
< 331 Please specify the password. > PASS pass
< libgcc_s.so.1 must be installed for pthread_cancel to work
< 500 OOPS: priv_sock_get_result
* Access denied: 500
* Closing connection 0
curl: (67) Access denied: 500

Después de leer en algunos foros que era necesario tener instalado libpam-ldap y libpam-chroot los instalamos y tampoco funcionó. La solución fue recompilar el paquete vsftpd:

sudo apt-get build-dep vsftpd #preparamos las fuentes
apt-get source vsftpd #descargamos el paquete
cd vsftpd-3.0.2
# editamos el archivo defs.h para que quede la línea
# #define VSFTP_AS_LIMIT          100UL * 1024 * 1024 - la cambiamos por:
#define VSFTP_AS_LIMIT          400UL * 1024 * 1024
dpkg-source --commit
dpkg-buildpackage -us -uc -nc

Y listo, ya tenemos el archivo nuevo listo para instalar. Después de eso nuestro FTP volvió a funcionar perfectamente. Esto fue con ubuntu 14.04

+ fotos

Almacenado en Uncategorized

por Jorge Martínez Mauricio :)



¿Algo que comentar?


Suscríbete por correo electrónico, recibirás los nuevos escritos antes que nadie y es gratis 😊

¿Ya conoces los foros de tar?

Relacionadas

    Fotografías de

    tar.mx es un blog sobre fotografía, tecnología y otras chunches